> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/payment_checkout/new_user_recurrency_checkout_card.md).

# Checkout Recorrência Novo Usuário (Cartão de Crédito)

## Checkout de recorrência para novo usuário pagando no cartão

<mark style="color:green;">`POST`</mark> `https://api.gestao.plus/order?t={token:de:acesso:do:cpf}`

Esta rota permite que você acesse o checkout como um novo usuário pagando no cartão de crédito.

#### Query Parameters

| Name                                | Type   | Description               |
| ----------------------------------- | ------ | ------------------------- |
| t<mark style="color:red;">\*</mark> | string | Token para acesso a rota. |

#### Request Body

| Name                                              | Type   | Description                                                           |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------- |
| items<mark style="color:red;">\*</mark>           | string | Lista de produtos adicionados ao checkout, com o seu id e quantidade. |
| userData<mark style="color:red;">\*</mark>        | string | Dados do usuário                                                      |
| type<mark style="color:red;">\*</mark>            | string | Tipo do pedido, recorrência.                                          |
| negotiationType<mark style="color:red;">\*</mark> | string | ID do tipo de negociação escolhido.                                   |

{% tabs %}
{% tab title="200 " %}

```
{
    "code": "",
    "data": {
        "id": 118,
        "orderCode": "0000118018"
    },
    "publicToken": "TOKEN DO PEDIDO",
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "ok",
    "status": 200,
    "detail": "Order created"
}
```

{% endtab %}

{% tab title="403 " %}

```
{
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Forbidden",
    "status": 403,
    "detail": "Forbidden (Invalid token)"
}
```

{% endtab %}
{% endtabs %}

### Exemplo de corpo da requisição:

```json
{
    "negotiationType": "12",
    "type": "R",
    "userData": {
        "document": "53134384680",
        "name": "João Diniz",
        "email": "example@example.com",
        "cellphone": "(62) 99999-9999",
        "zipCode": "74000-000",
        "address": "Avenida T 14",
        "number": "1529",
        "neighborhood": "Setor Bueno",
        "addressDetail": "",
        "city": "Goiânia",
        "state": "GO" 
    },
    "cardData": {
        "holderName":"VISA MAGIC",
        "expirationMonth":"05",
        "expirationYear":"2023",
        "securityCode":"123",
        "cardNumber":"4539003378545497"
    },
    "items": [
        {
            "id": "83",
            "quantity": 1
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/payment_checkout/new_user_recurrency_checkout_card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
